Bug 518615 - Radeon X700 is not detected with kernel-2.6.30.5-28.rc2.fc11
Summary: Radeon X700 is not detected with kernel-2.6.30.5-28.rc2.fc11
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 09:59 UTC by Mary Ellen Foster
Modified: 2013-01-10 08:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-05 10:34:00 UTC


Attachments (Terms of Use)
Xorg.0.log showing the crash (14.02 KB, text/plain)
2009-08-21 09:59 UTC, Mary Ellen Foster
no flags Details
lspci output showing no graphics card detected with this kernel (1.98 KB, text/plain)
2009-08-21 10:00 UTC, Mary Ellen Foster
no flags Details
lspci output from a previous (working) kernel, for comparison (2.15 KB, text/plain)
2009-08-21 10:02 UTC, Mary Ellen Foster
no flags Details
dmesg from working kernel (36.68 KB, text/plain)
2009-08-26 21:12 UTC, Mary Ellen Foster
no flags Details
dmesg from broken kernel (36.42 KB, text/plain)
2009-08-26 21:13 UTC, Mary Ellen Foster
no flags Details
dmesg when booting with pci=noacpi (36.19 KB, text/plain)
2009-08-28 10:55 UTC, Mary Ellen Foster
no flags Details
output of acpidump (151.11 KB, text/plain)
2009-08-31 09:51 UTC, Mary Ellen Foster
no flags Details

Description Mary Ellen Foster 2009-08-21 09:59:17 UTC
Created attachment 358216 [details]
Xorg.0.log showing the crash

Description of problem:
With the latest kernel, a Radeon X700 graphics card is not detected any more on boot, and X therefore (of course) won't start. The graphics card doesn't even show up in lspci output. Booting previous kernels works fine, so this is clearly a kernel issue.

Version-Release number of selected component (if applicable):
kernel-2.6.30.5-28.rc2.fc11

How reproducible:
Every time

Steps to Reproduce:
1. Boot kernel-2.6.30.5-28.rc2.fc11
  
Actual results:
X crashes because there is no graphics card

Expected results:
Things working

Additional info:
I'll attach the Xorg.0.log, along with lspci output from a working and a non-working kernel

Comment 1 Mary Ellen Foster 2009-08-21 10:00:26 UTC
Created attachment 358217 [details]
lspci output showing no graphics card detected with this kernel

Comment 2 Mary Ellen Foster 2009-08-21 10:02:36 UTC
Created attachment 358218 [details]
lspci output from a previous (working) kernel, for comparison

Here's the "diff" between the two lspci outputs -- both of these devices are detected with the working (older) kernel and not with the newer kernel:

1a2
> 00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 04)
14a16
> 01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X700 (PCIE)

Comment 3 Mary Ellen Foster 2009-08-22 10:51:15 UTC
Same symptoms with kernel-2.6.30.5-32.fc11.

A couple more details about the computer in question: it's an Acer TravelMate 8100 with a Radeon X700 mobility graphics card.

Comment 4 Mary Ellen Foster 2009-08-26 10:26:54 UTC
Possibly related to http://bugzilla.kernel.org/show_bug.cgi?id=13720 ?

Comment 5 Chuck Ebbert 2009-08-26 16:16:51 UTC
Can you post the contents of /var/log/dmesg after booting each of the working and broken kernels? (separate attachments, plain text)

Comment 6 Mary Ellen Foster 2009-08-26 21:12:39 UTC
Created attachment 358771 [details]
dmesg from working kernel

Comment 7 Mary Ellen Foster 2009-08-26 21:13:08 UTC
Created attachment 358772 [details]
dmesg from broken kernel

Comment 8 Chuck Ebbert 2009-08-27 23:39:02 UTC
Can you try adding:

  pci=noacpi

to the kernel boot options?

Comment 9 Chuck Ebbert 2009-08-27 23:59:27 UTC
Maybe ACPI thinks the video card is in a dock. You can see the IRQ for the bridge get disabled before an undock occurs:

pcieport-driver 0000:00:01.0: PCI INT A disabled
ACPI: \_SB_.PCI0.DOCK - undocking

2.6.29 shows an undock but no IRQ disable...

Comment 10 Mary Ellen Foster 2009-08-28 10:55:06 UTC
Created attachment 359048 [details]
dmesg when booting with pci=noacpi

Booting with pci-noacpi seems to have worked properly. Here's the dmesg from a successful boot.

Comment 11 Matthew Garrett 2009-08-28 16:53:35 UTC
Can you install the pmtools package, run acpidump as root and attach the output?

Comment 12 Mary Ellen Foster 2009-08-31 09:51:10 UTC
Created attachment 359241 [details]
output of acpidump

Here's the output of acpidump as requested.

Comment 13 Jérôme Glisse 2009-10-14 10:58:24 UTC
Do you still have this issue with new kernel (you can try fedora 12 live cd for instance).

Comment 14 Vedran Miletić 2009-12-05 10:34:00 UTC
Reporter doesn't reply for over a month. Closing as insufficent data.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.